'use strict';
const exec = require('child_process').exec;
const co = require('co');
const prompt = require('co-prompt');
const config = require('../templates');
const chalk = require('chalk');

module.exports = () => {
    co(function* () {
        // 处理用户输入
        let tplName = yield prompt('请输入模板名: ');
        let projectName = yield prompt('请输入你的项目名: ');
        let gitUrl;
        let branch;

        if (!config.tpl[tplName]) {
            console.log(chalk.red('\n × 模板名不存在!'));
            process.exit();
        }

        gitUrl = config.tpl[tplName].url;
        branch = config.tpl[tplName].branch;

        // git命令，远程拉取项目并自定义项目名
        let cmdStr = `git clone ${gitUrl} ${projectName} && cd ${projectName} && git checkout ${branch}`;

        console.log(chalk.white('\n 开始生成...'));

        exec(cmdStr, (error, stdout, stderr) => {
            if (error) {
                console.log(error);
                process.exit();
            }

            console.log(chalk.green('\n √ 项目已生成,使用以下命令进行启动项目!'));
            console.log(`
 cd ${projectName} && npm install && npm start 
`);
            process.exit();
        });
    });
};
