import {Spin, Alert} from 'antd';

import React from 'react';
import PropTypes from 'prop-types';
import styled from 'styled-components';

const ErrorStyled = styled.div`
  margin-top: 10px;
  display: flex;
  justify-content: center;
`;

const Loading = ({error}) => (
    <ErrorStyled>
        {
    error
        ? <Alert message={error.toString()} type='error' closable ></Alert>
        : <Spin size='large' tip='Loading...'></Spin>
    }
    </ErrorStyled>
);

Loading.propTypes = {
    error: PropTypes.oneOfType([
        PropTypes.string,
        PropTypes.instanceOf(Error)
    ])
};

export default Loading;
