import React, {Component} from 'react';
import {
    Switch,
    withRouter,
    Redirect,
    Route
} from 'react-router-dom';
import RenderAuthorized from 'ant-design-pro/lib/Authorized';
import routerConfig from './router.config';
import NotFound from '../components/Exception/404';

const {AuthorizedRoute} = RenderAuthorized('admin');

// 增加路由请修改router.config文件即可

class App extends Component {

    render() {
        let routerData = routerConfig();
        return (
            <div className='RouteTable'>
                <Switch>
                    <Redirect exact from='/' to='/home' />
                    {
            routerData.map(item => {
                return (
                    <AuthorizedRoute
                    key={item.key}
                    path={item.path}
                    component={item.component}
                    exact={item.exact}
                    authority={item.authority}
                    redirectPath='/exception/403'
                    />
                    );
            })
            }
                    <Route component={NotFound} />

                </Switch>
            </div>
            );
    }
}
export default withRouter(App);
