/**
 * @file 异步加载路由组件
**/
import React from 'react';
import {Redirect} from 'react-router-dom';

const FlagObserver = {
    listener: null,
    sub(fn) {
        this.listener = fn;
    },
    pub(flag) {
        this.listener({flag});
    }
};

export const asyncRoute = (getComponent, opts) => class AsyncRoute extends React.Component {
    static Component = null

    state = {
        Component: AsyncRoute.Component,
        error: null
    }

    UNSAFE_componentWillMount() {
        window.FlagObserver = FlagObserver;
        window.FlagObserver.sub(this.setState.bind(this));
        if (!this.state.Component) {
            getComponent().then(module => module.default || module).then(Component => {
                AsyncRoute.Component = Component;
                this.setState({Component});
            }).catch(error => {
                this.setState({error});
            });
        }
    }

    render() {
        const {Component, error, flag} = this.state;
        const loading = opts.loading;
        // eslint-disable-next-line no-unneeded-ternary
        // const isLogged = sessionStorage.getItem('isLogin') === '1' ? true : false;
        const isLogged = true;
        if (loading && !Component) {
            return React.createElement(loading, {error});
        }
        else if (Component) {
            // eslint-disable-next-line no-constant-condition
            return isLogged ? <Component {...{...this.props, flag}}/> : <Redirect to='/login' />;
        }
        return null;
    }
  };
