// eslint-disable-next-line no-unused-vars
const path = require('path');
const webpack = require('webpack');
const HtmlWebpackPlugin = require('html-webpack-plugin');
const merge = require('webpack-merge');
const baseWebpackConfig = require('./webpack.config.base');

module.exports = merge(baseWebpackConfig, {
    mode: 'production',
    devtool: 'none',
    resolve: {
        alias: {
            '@pages': path.resolve(__dirname, 'src/pages'),
            '@': path.resolve(__dirname, 'src'),
            '@components': path.resolve(__dirname, 'src/components'),
            '@utils': path.resolve(__dirname, 'src/utils')
        }
    },
    plugins: [
        new HtmlWebpackPlugin(
            {
                filename: './index.html',
                template: './src/index.html'
            }
        )
    ]
});
